create or replace procedure sp_hotel_increasePrice(
		hNum		IN integer := 6,
   		midPrice	IN integer := 50,
   		lPCT		IN integer := 10,
   		hPCT		IN integer := 5 ) AS

   cursor rc is select * from room where hNo = hNum for update;

   procedure showRoomByHNo( hNum IN integer ) AS
       cursor rc is select * from room where hNo = hNum;
   begin
	for rv in rc loop
	   dbms_output.put_line(
			LPAD(rv.hno, 5) ||
			LPAD(rv.rNo, 5) ||
			LPAD(rv.type, 15) ||
			LPAD(rv.price, 10)
		);
	end loop;
   end;

begin
  showRoomByHNo (hNum);
  for vc in rc loop
	if vc.price < midPrice then
		update room set price = price * (1 + lPCT/100)
		where CURRENT OF rc;
	else
		update room set price = price * (1 + hPCT/100)
		where CURRENT OF rc;
	end if;
   end loop;
   showRoomByHNo( hNum );
end;
/
