set   pagesize  70  
set   underline off
set   heading   off
set   feedback  off
set   headsep   off
col   result format a70

spool &Filename

select 'Table Name: GUEST: 6' result from dual;
select RTRIM(gno || ': ' || gname || ': ' || street ||
  ': ' || city || ': ' || state || ': ' || zip) result
from  guest
order by gno;

select 'Table Name: HOTEL: 3' from dual;
select RTRIM(hno || ':  ' || hname || ':   ' || city) result
from   hotel
order by city, hname;

select 'Table Name: ROOM:  4' from dual;
select RTRIM(hno || ':  ' || rno || ':  ' || type || ':  ' || price) result
from  room
order by hno, rno;

select 'Table Name: BOOK: 5' from dual;
select RTRIM(gno || ':  ' || hno || ':  ' || rno || ':  ' || dateFrom ||
  ':  ' || dateTo) result
from  book
order by gno, hno;

spool off
set  underline =
set  heading on
set  feedback on
set  headsep on
host mv ~/&Filename .
