select v.gNo, v.hNo, v.rNo, price from book v, room r
where v.rno = r.rno and v.hno = r.hno and
      not exists ( select * from book v2, room r2
	           where v2.rno = r2.rno and v2.hno = r2.hno and
		   r2.price > r.price and v2.hno = v.hno
	   	 )
order by v.hno, v.rno, r.price
